/*                     __                                               *\
**     ________ ___   / /  ___     Scala API                            **
**    / __/ __// _ | / /  / _ |    (c) 2003-2009, LAMP/EPFL             **
**  __\ \/ /__/ __ |/ /__/ __ |                                         **
** /____/\___/_/ |_/____/_/ | |                                         **
**                          |/                                          **
\*                                                                      */

// $Id: Location.scala 16893 2009-01-13 13:09:22Z cunei $


package /*scala.*/local.collection.mutable


/*-enable-unique*/
import scala.annotation.transient

/** Class <code>Location</code> describes locations in messages implemented
 *  by class <code>Message</code>.
 *
 *  @author  Matthias Zenger
 *  @version 1.0, 10/05/2004
 */
@transient abstract class Location

@transient case object NA extends Location

@transient case object Start extends Location

@transient case object End extends Location

@transient case class Index(n: Int) extends Location
